
%global meadversion 1.2.0
%global namedversion 1.2.0.redhat-8
%global meadalpha .redhat_8
%global meadrel .1
%global serial 1
%global namedversionrel redhat-8

%bcond_without mead

%{?scl:%scl_package apache-commons-cli}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/commons-cli-eap6}
%{!?scl:%global javadir %{_javadir}/commons-cli-eap6}

%define maven_version 1.2.0.redhat-8

Name:           %{?scl_prefix}apache-commons-cli%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons CLI
Group:          Development/Java

%if %with mead
Source100: commons-cli-1.2.0.redhat-8-scm-sources.zip
Source102: commons-cli-1.2.0.redhat-8-sources.jar
Source103: commons-cli-1.2.0.redhat-8.jar
Source104: commons-cli-1.2.0.redhat-8-javadoc.jar
Source105: commons-cli-1.2.0.redhat-8-project-sources.tar.gz
Source106: commons-cli-1.2.0.redhat-8.pom
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/cli/
Provides:       %{?scl_prefix}commons-cli%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}apache-commons-cli%{?eap}-%{namedversion}-%{release}-root

%description
Commons CLI provides a simple API for presenting, processing and validating a
command line interface.

%prep
%setup -q -n commons-cli -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/commons-cli-%{namedversion}.jar %{buildroot}%{javadir}/commons-cli-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-cli-%{namedversion}-sources.jar %{buildroot}%{javadir}/commons-cli-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%dir %{javadir}
%{javadir}/commons-cli-%{namedversion}.jar
%{javadir}/commons-cli.jar
%{javadir}/commons-cli-%{namedversion}-sources.jar
%{javadir}/commons-cli-sources.jar

%changelog
* Fri Nov 21 2014 Hui Wang <huwang@redhat.com> - 1.2.0-1.redhat_8.1
- Fix OSGI version using new maven extension

* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.2-6.redhat_4.1
- Rewrap

* Wed Apr 16 2014 David Walluck <dwalluck@redhat.com> - 1.2-5.redhat_4.1
- fix jar location on RHEL 7

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 1.2-4.redhat_4.1
- fix path on RHEL 7 to match other RHEL versions

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 1.2-4.redhat_4.1
- fix path on RHEL 7 to match other RHEL versions

* Mon Jan 13 2014 David Walluck <dwalluck@redhat.com> - 1.2-4.redhat_4.1
- fix path on RHEL 7 to match other RHEL versions

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.2-3.redhat_4.1
- Build wrapper for all 3 RHEL versions

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.2-3.redhat_4.1
- Build wrapper for all 3 RHEL versions

* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> - 1.2-3.redhat_4.1
- Build wrapper for all 3 RHEL versions

* Sat Dec 21 2013 David Walluck <dwalluck@redhat.com> - 1.2-2.redhat_4.1
- submit wrapper-only build

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> 0:1.2-1
- release
